.contenedor {
    width: 100%;
    height: 50vh;
    margin: 10px auto;
    text-transform: uppercase;
    /* Poner todo el texto en mayusculas*/
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 0.5fr 3fr 1fr 1fr 1fr;
    grid-template-areas:
        "header menu menu menu"
        "hero hero hero hero"
        "main main . image"
        "main main . extra"
        "banner banner banner banner"
    ;
}

header,
.menu,
.hero,
main {
    color: white;
}

header {
    background-color: black;
    grid-area: header;
}

.menu {
    background-color: crimson;
    grid-area: menu;
}

.hero {
    background-color: cornflowerblue;
    grid-area: hero;
}

main {
    background-color: lightslategray;
    grid-area: main;
}

.image {
    background-color: lightblue;
    grid-area: image;
}

.extra {
    background-color: darkseagreen;
    grid-area: extra;
}

.banner {
    background-color: gold;
    grid-area: banner;
}

.contenedor>* {
    display: flex;
    justify-content: center;
    align-items: center;
}

@media all and (max-width:900px) {
    .contenedor {
        grid-template-rows: 0.5fr 2fr 2fr 1fr 1fr;
        grid-template-areas:
            "header header header header"
            "hero hero hero hero"
            "menu main main main"
            "menu banner banner banner"
            "menu extra extra image"
        ;
    }
}

@media all and (max-width:600px) {
    .contenedor {
        grid-template-columns: 1fr;
        grid-template-rows: 0.5fr 0.5fr 1.5fr 1.5fr 1fr 1fr 1fr;
        grid-template-areas:
            "header"
            "menu"
            "hero"
            "main"
            "banner"
            "extra"
            "image"
        ;
    }
}